Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.sql.generator
Class JoinInfo

    java.lang.Object
      sharin.sql.generator.JoinInfo

    public class JoinInfo

extends Object

Constructor Summary
`JoinInfo(String sourceColumnName, EntityInfo targetEntityInfo, String targetTableAlias)`
`JoinInfo(String sourceColumnName, EntityInfo targetEntityInfo, String targetTableAlias, String targetColumnName)`

Method Summary
`void` | `appendField(StringBuilder builder, String propertyName)`
`void` | `appendJoin(StringBuilder builder, String sourceTableAlias)`
`String[]` | `getTargetColumnAliases()`
`String` | `getTargetColumnName(String propertyName)`
`String` | `getTargetTableAlias()`
`boolean` | `hasTargetColumnName(String propertyName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JoinInfo

    public JoinInfo(String sourceColumnName,
                    EntityInfo targetEntityInfo,
                    String targetTableAlias)

### JoinInfo

    public JoinInfo(String sourceColumnName,
                    EntityInfo targetEntityInfo,
                    String targetTableAlias,
                    String targetColumnName)

Method Detail

### appendJoin

    public void appendJoin(StringBuilder builder,
                           String sourceTableAlias)

### appendField

    public void appendField(StringBuilder builder,
                            String propertyName)

### getTargetColumnAliases

    public String[] getTargetColumnAliases()

### getTargetColumnName

    public String getTargetColumnName(String propertyName)

### hasTargetColumnName

    public boolean hasTargetColumnName(String propertyName)

### getTargetTableAlias

    public String getTargetTableAlias()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.